POST/market

Get Market

Get Market

Implementation Notes

This endpoint returns a list of markets available in the LARBAR API database for rate retrieval.

Parameters:

  • searchKey: Keyword to search market, e.g., city or district name.
  • country: Name of the country where the market is located.
  • state: Name of the state where the market is located.
  • city: Name of the city where the market is located.
  • destId: Destination ID of the market.
  • destType: Destination type for the specific destination.

Mandatory Fields:

  • searchKey
  • country

Optional Fields:

  • state
  • city
  • destId
  • destType
POST/market

Parameter Details

NameInTypeRequiredDescription
bodybodyobjectRequirednone
» searchKeybodystringRequirednone
» countrybodystringRequirednone
» statebodystringOptionalnone
» citybodystringOptionalnone
» destIdbodystringOptionalnone
» destTypebodystringOptionalnone

Responses

StatusMeaningDescriptionSchema
200OKSuccess
204No ContentNo ContentNone
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity ExpiredNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X POST /market \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "searchKey": "Staples",
  "country": "United States",
  "state": "",
  "city": "",
  "destId": "",
  "destType": "CITY"
}

Example responses

200 Response
{
  "searchKey": "Staples, Minnesota, United States",
  "websiteCode": 2,
  "country": "United States",
  "state": "",
  "city": "",
  "destId": "12345",
  "destType": "CITY"
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.